"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_hooks_global_state_1 = require("react-hooks-global-state");
const use_debounce_1 = require("use-debounce");
const { useGlobalState } = (0, react_hooks_global_state_1.createGlobalState)({
    search: '',
});
function useSearch() {
    const [search, setSearch] = useGlobalState('search');
    const [searchValue] = (0, use_debounce_1.useDebounce)(search, 500);
    return {
        search,
        searchValue,
        setSearch,
    };
}
exports.default = useSearch;
