"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SHORT_DAYS_IN_WEEK = exports.formatUrlParams = exports.formatYearToTime = exports.formatDate = exports.getInitialName = exports.thisYear = exports.now = void 0;
const date_fns_1 = require("date-fns");
const date = new Date();
exports.now = (0, date_fns_1.format)(new Date(), 'MMMM dd, yyyy');
exports.thisYear = date.getFullYear();
const getInitialName = (name) => {
    const split = name.split(' ');
    let start = 0;
    let initial = [];
    if (split.length > 1) {
        while (start <= 1) {
            initial.push(split[start].charAt(0));
            start++;
        }
    }
    else {
        initial.push(split[0].substr(0, 2));
    }
    return initial.join('').toUpperCase();
};
exports.getInitialName = getInitialName;
const formatDate = (date, dateFormat) => {
    if (!dateFormat) {
        dateFormat = 'MMMM dd, yyyy';
    }
    if (date) {
        const formated = (0, date_fns_1.format)(new Date(date), dateFormat);
        return formated;
    }
    return '';
};
exports.formatDate = formatDate;
const formatYearToTime = (date) => {
    if (date) {
        const formated = (0, date_fns_1.format)(new Date(date), 'dd MMM, yyyy HH:mm');
        return formated;
    }
    return '';
};
exports.formatYearToTime = formatYearToTime;
const formatUrlParams = (value) => {
    const param = value.split(' ').join('-').toLowerCase();
    return param;
};
exports.formatUrlParams = formatUrlParams;
exports.SHORT_DAYS_IN_WEEK = [
    'Sun',
    'Mon',
    'Tue',
    'Wed',
    'Thu',
    'Fri',
    'Sat',
];
